<?php

namespace Wilsonwaldo\Sisep\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EnlacesTransformer extends TransformerAbstract
{
    public function transform(\Wilsonwaldo\Sisep\Models\Enlaces $enlaces)
    {
        return [
            'id'                => $enlaces->getRouteKey(),
            'key'               => [
                'public'    => $enlaces->getPublicKey(),
                'route'     => $enlaces->getRouteKey(),
            ], 
            'uno'               => $enlaces->uno,
            'dos'               => $enlaces->dos,
            'url'               => [
                'public'    => trans_url('sisep/'.$enlaces->getPublicKey()),
                'user'      => guard_url('sisep/enlaces/'.$enlaces->getRouteKey()),
            ], 
            'status'            => trans('app.'.$enlaces->status),
            'created_at'        => format_date($enlaces->created_at),
            'updated_at'        => format_date($enlaces->updated_at),
        ];
    }
}